# Vev content can be fully integrated into Drupal as ‘Guest Content’.

**Fully Integrated** means working with key Drupal paradigms to ensure full compatibility with existing Drupal sites layout, content relationships and systems.<br>
**Guest Content means** Drupal holds, relates, and uses Vev content natively, as if it were its own, but Vev content is built and edited in Vev with its for-purpose editor before being brought into Drupal.

This brings the best of both worlds:

 - **Creative-led, rapid expansion of components** and pages in Drupal that are not limited to the existing implement design and component library, using tooling far beyond what is possible in Drupal.
 - **Deep integration into a Drupal site’s systems**: content, blocks, paragraphs, search, revisions, workflows, and tokens – while fully integrating this ‘guest content’ into existing site governance and organisational processes.

## Workflows that respect your site's governance

New **revisions** are created for each update to the Vev media entity, so pushed changes can’t surprise content teams. If the site is using **workflows**, the new revision is set to ‘Draft’ so it can be reviewed and approved.

Optional Admin **email notifications** can be sent to content team whenever updates are pushed from Vev

Adding Vev to Drupal with two complimentary workflows

 - Creative-led: via Destination Push from Vev UI
 - Content-led: Editors paste embed script when creating new Vev Media

## Module features

- **Content type** allows normal content pages to be made, with Vev as the main content area but retaining the site’s header, nav and footer. **Full screen** view available, replacing all page elements with a single Vev experience.
- Vev media can be used as a **block** in site-wide regions like header, footer, pre/post content, sidebars etc, plus any layout provided by **paragraphs**, **layout builder** and many more so it can become hero banners, calls to actions, or enhance landing/listing pages that intermix data, content and immersive.
- Vevs are stored locally as a **Media** entities, and appear within the **Media Library**.
- Vev content can be placed within **WYSIWYG rich text** areas using CKEditor, just like any other embed or image.
- Drupal can index text in Vev media so they become a fully-integrated part of the site’s **Search API** system.
- Placing **Tokens** like [node:title] in Vev content allows Drupal to replace strings each request for data-driven and personalised pages that include data from the current user or content.
